| CMSIS-RTOS Version 1.00 CMSIS-RTOS API: Generic RTOS interface for Cortex-M processor-based devices.

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

os_mailQ |
osEvent | Event structure contains detailed information about an event
osMailQDef_t | Definition structure for mail queue
osMessageQDef_t | Definition structure for message queue
osMutexDef_t | Mutex Definition structure contains setup information for a mutex
osPoolDef_t | Definition structure for memory block allocation
osSemaphoreDef_t | Semaphore Definition structure contains setup information for a semaphore
osThreadDef_t | Thread Definition structure contains startup information of a thread
osTimerDef_t | Timer Definition structure contains timer parameters